# navCall

## Description

Creates a connection with a navConnector.

## Input / Parameter

| Name        | Description                                                           | Input Type  | Default | Options | Required |
| ----------- | --------------------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| connector   | The name of the navConnector created in Services to connect to.       | String/Text | -       | -       | Yes      |
| type        | The type of connection.                                               | String/Text | -       | -       | No       |
| ent?        |                                                                       | String/Text | -       | -       | Yes      |
| function    | The function from the web service to be executed.                     | String/Text | -       | -       | Yes      |
| subfunction | The subfunction from the web service to be executed.                  | String/Text | -       | -       | No       |
| data        | The data containing the main parameters in the function being called. | Object      | -       | -       | Yes      |
| extra       | Extra parameters stored and passed to callback.                       | Any         | -       | -       | No       |
| batch?      |                                                                       | String/Text | -       | -       | No       |

## Output

N/A

## Callback?

### callback

The function to be executed if the connection to navConnector is successful.

### errCallback

The function to be executed if the connection to navConnector is not successful.

## Video

Coming Soon.

## Example

The user wants to call the navCall Web Service.

### Step

1. Create a NAV Connector in Services with the follow parameters.

   | Field    | Value                                       |
   | -------- | ------------------------------------------- |
   | Name     | nav                                         |
   | Url      | <http://203.116.137.100:8047/DynamicsNAV90> |
   | Company  | CRONUS Australia Pty. Ltd.                  |
   | User     | chh\mobuser                                 |
   | Password | \*\*\*\*\*\*\*\*                            |
   | Timeout  | 30000                                       |

   ![](/files/wOggJdDOtqv8SQhf9wO9)
2. Call the function "navCall".<br>

   ![](/files/xj4iuf0DIZeKiLSIDc8m)

   ![](/files/S9Lc9tKvmwVOIjx6Ew54)
3. Add a console after callback function for display response from console.

   ![](/files/VyriYk7LToGsm3ppNGM0)

### Result

![](/files/r1dsrTy3rJlT0iB8dc8a)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/navcall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
